/*
 * Copyright (C), 2020-2024, KylinSoft. Co., Ltd.
 * @Author: zhangfan
 * @FileName: grub_measure_list_conf.h
 * @Date: 2024-06-14 14:01:20
 * @Version: v1.0
 * @LastEditors: zhangfan
 * @LastEditTime: 2024-06-14 15:54:35
 * @Description: 与GRUB启动测量列表配置相关的头文件
 * @History: Reference changelog
 * @Function List: 
 */
#ifndef __GRUB_MEASURE_LIST_CONF_H__
#define __GRUB_MEASURE_LIST_CONF_H__

#include <err.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

enum measure_type{
	MEASURE_NOT_FOUND=0,
    MEASURE_TPCM_CARD_FOUND,
    MEASURE_KYEE_FOUND,
	MEASURE_TPCM_FOUND,
	MEASURE_TPM_FOUND,
	MEASURE_SOFT_FOUND
};
enum measure_mode{
	MEASURE_WARING=0,
	MEASURE_PREVENT
};


#ifdef __cplusplus
extern "C" {
#endif

int change_measure_conf(int type,int mode);

//断开session
int create_update_measurelist();

#ifdef __cplusplus
}
#endif

#endif

